aboutsummaryrefslogtreecommitdiff
path: root/schneider-openembedded
diff options
context:
space:
mode:
authorRyan Harkin <ryan.harkin@linaro.org>2019-10-15 16:45:52 +0100
committerRyan Harkin <ryan.harkin@linaro.org>2019-10-15 15:47:05 +0000
commit0f61157775408a736dfb52387088a56df23052a2 (patch)
treee3235245ff01c366f2ddb044df5c45381ce02e02 /schneider-openembedded
parentc2216d867fc9b816e439e7f9a32eac61e026893a (diff)
schneider-openembedded: ignore rm failure
Ignore failure to delete a file using 'rm' when the file doesn not exist. Change-Id: If9e823c82997a9133fb32cafa3138dcb1f670e58 Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org>
Diffstat (limited to 'schneider-openembedded')
-rwxr-xr-xschneider-openembedded/builders.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/schneider-openembedded/builders.sh b/schneider-openembedded/builders.sh
index 4371a2e1..02aeacd8 100755
--- a/schneider-openembedded/builders.sh
+++ b/schneider-openembedded/builders.sh
@@ -187,7 +187,7 @@ rm -f ${DEPLOY_DIR_IMAGE}/*.rootfs.ext4 \
case "${MACHINE}" in
rzn1d*)
pushd ${DEPLOY_DIR_IMAGE}
- rm uImage*
+ rm -f uImage*
popd
;;
soca9)
@@ -195,9 +195,9 @@ case "${MACHINE}" in
pushd ${DEPLOY_DIR_IMAGE}
mv zImage-*snarc_${MACHINE}*_bestla_512m*.dtb zImage-snarc_${MACHINE}_qspi_micronN25Q_bestla_512m.dtb || true
mv zImage-snarc-${MACHINE}.dtb zImage-snarc_${MACHINE}_qspi_micronN25Q_bestla_512m.dtb || true
- rm *[12]G*.dtb || true
- rm *freja*.dtb || true
- rm *socfpga_cyclone5_socdk*.dtb || true
+ rm -f *[12]G*.dtb || true
+ rm -f *freja*.dtb || true
+ rm -f *socfpga_cyclone5_socdk*.dtb || true
popd
;;
juno|stih410-b2260|orangepi-i96)